OGRE-Next: Ogre::DefaultSceneManagerFactory Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::DefaultSceneManagerFactory Class Referencefinal
Core | Component » Scene

Factory for default scene manager. More...

`#include <OgreSceneManagerEnumerator.h>`

Inheritance diagram for Ogre::DefaultSceneManagerFactory:
[legend]

## Public Member Functions
| DefaultSceneManagerFactory ()
| ~DefaultSceneManagerFactory () override
SceneManager * | createInstance (const String &instanceName, size_t numWorkerThreads) override
| Create a new instance of a SceneManager.
void | destroyInstance (SceneManager *instance) override
| Destroy an instance of a SceneManager.
Public Member Functions inherited from Ogre::SceneManagerFactory
| SceneManagerFactory ()
virtual | ~SceneManagerFactory ()
virtual const SceneManagerMetaData & | getMetaData () const
| Get information about the SceneManager type created by this factory.

## Static Public Attributes
static const String | FACTORY_TYPE_NAME
| Factory type name.

## Detailed Description

Factory for default scene manager.

## Constructor & Destructor Documentation

## ◆ DefaultSceneManagerFactory()

Ogre::DefaultSceneManagerFactory::DefaultSceneManagerFactory | ( |  | ) |
| inline

## ◆ ~DefaultSceneManagerFactory()

Ogre::DefaultSceneManagerFactory::~DefaultSceneManagerFactory | ( |  | ) |
| inlineoverride

## Member Function Documentation

## ◆ createInstance()

SceneManager * Ogre::DefaultSceneManagerFactory::createInstance | ( | const String & | instanceName,
|  | size_t | numWorkerThreads )
| overridevirtual

Create a new instance of a SceneManager.

Remarks
  Don't call directly, use SceneManagerEnumerator::createSceneManager.

Implements Ogre::SceneManagerFactory.

## ◆ destroyInstance()

void Ogre::DefaultSceneManagerFactory::destroyInstance | ( | SceneManager * | instance | ) |
| overridevirtual

Destroy an instance of a SceneManager.

Implements Ogre::SceneManagerFactory.

## Member Data Documentation

## ◆ FACTORY_TYPE_NAME

const String Ogre::DefaultSceneManagerFactory::FACTORY_TYPE_NAME
| static

Factory type name.

The documentation for this class was generated from the following file:

- OgreSceneManagerEnumerator.h